Get a tournament match
Returns one bracket match, including its game’s config and current state once the match has started. Poll it to follow a match live.
GET
/tournaments/{id}/matches/{matchId}Authorization
x-api-keyAPI key · headerrequiredA user (dp_) or organization (dp_org_) API key with read scopes.
Path parameters
idstringrequiredThe entity id.
matchIdstringrequiredThe tournament match id.
Responses
200
The tournament match.
idstringrequiredroundintegerrequiredmin -9007199254740991 · max 9007199254740991
slotintegerrequiredmin -9007199254740991 · max 9007199254740991
statusstringrequiredgameIdstring | nullrequiredparticipantAIdstring | nullrequiredparticipantBIdstring | nullrequiredparticipantAScoreinteger | nullrequiredShow propertiesHide properties
Any of:
integer
integernull
nullparticipantBScoreinteger | nullrequiredShow propertiesHide properties
Any of:
integer
integernull
nullwinnerParticipantIdstring | nullrequiredparticipantAReadyAtstring | nullrequiredparticipantBReadyAtstring | nullrequiredreadyDeadlineAtstring | nullrequireddecidedByHostbooleanrequiredgameGameDetail | nullrequiredShow propertiesHide properties
Any of:
GameDetail
idstringrequiredtypestringrequiredstatusstringrequiredplayersGamePlayer[]requiredShow propertiesHide properties
Array of
GamePlayernamestringrequireduserIdstring | nullrequiredimagestring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequiredconfigobjectrequiredstateobject | nullrequiredShow propertiesHide properties
Any of:
object
objectnull
nullstateUpdatedAtstringrequirednull
null400
Invalid request.
messagestringrequired401
Missing or invalid API key.
messagestringrequired403
The API key is missing a required scope or is the wrong type for this endpoint.
messagestringrequired404
Entity not found.
messagestringrequired429
Rate limit exceeded. See the Retry-After header.
messagestringrequired500
Internal server error.
messagestringrequired